<!DOCTYPE html>
<html dir="ltr" lang="sv">
	<head>
		<meta charset="utf-8" />
		<meta
			name="viewport"
			content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=5.0"
		/>
		<title>Stencil Component Starter</title>
		<link
			rel="stylesheet"
			href="//fonts.googleapis.com/css?family=Open+Sans:300,400,600,700"
		/>
		<link rel="preconnect" href="https://fonts.gstatic.com" />
		<script type="module" src="/build/digi-arbetsformedlingen.esm.js"></script>
		<script>
			console.log('Yai');

		function initFeedback() {
			customElements.whenDefined('digi-tools-feedback-rating').then(() => {
				const rating = document.querySelector('digi-tools-feedback-rating')
				console.log(rating.afMReset())
				console.log("hhhhh");
			});
		}

document.onreadystatechange = () => {

document.addEventListener("afOnReady", (ev) => {
	console.log("ready", ev);
})

document.body.addEventListener("afOnSubmitFeedback", (e) => {
	
	e.stopImmediatePropagation();
	console.log("Feedback event: ", e.detail);
})

document.body.addEventListener("afOnSubmitFeedbackLink", (e) => {
	e.stopImmediatePropagation();
	console.log("afOnSubmitFeedbackLink event: ", e.detail);
})

document.body.addEventListener("afOnClickFeedback", (e) => {
	e.stopImmediatePropagation();
	console.log("afOnClickFeedback event: ", e.detail);
})



}

		</script>
		<link rel="stylesheet" href="build/digi-arbetsformedlingen.css" />
		<style>
			body {
				padding: 0;
				margin: 0;
				/* background-color: rgba(0, 139, 139, 0.307); */
			}
		</style>
	</head>
	
	<body style="margin-top: 50px">
			<digi-layout-block>
				<h1>Betygskomponenten 2.0, placerad på en blå kolumn</h1>
				<h2>Baskomponenten med och utan länk</h2><div style="background-color:  rgb(233 244 255 / 74%); border: 2px solid  rgb(233 244 255 / 74%);">
				
				<digi-tools-feedback-rating af-id="digi-tools-feedback-rating"
				af-ratings="issnöjd;ganska dåligt;varken eller;ganska bra;mycket nöjd"  
				af-product-area="Produktområde"
				af-product="Designsystem" 
				af-application="Applikationsnamn"
				af-name="Börjat studera"
				af-question-type="Innehåll"
				af-type="minimal"
				af-link-text="Skriv gärna mer feedback här"
				af-link="https://webropol.se/"
				></digi-tools-feedback-rating>
				</br>
				</br>
				<digi-tools-feedback-rating af-id="custom-id-140"
				af-question="Hur nöjd är du med tjänsten? Utan länk"
				
				af-ratings="mycket missnöjd;ganska dåligt;varken eller;ganska bra;mycket nöjd"  
				af-product-area="Produktområde"
				af-product="Designsystem" 
				af-application="Applikationsnamn"
				af-name="Börjat studera"
				af-question-type="Innehåll"
				af-type="minimal"
				
				></digi-tools-feedback-rating>
			</div>
				<!-- <digi-navigation-tabs af-aria-label="En tablist label">
					<digi-navigation-tab af-aria-label="Flik 1" af-id="flikb1">
						<p>Jag är flik 1</p>
            <digi-icon-bullseye></digi-icon-bullseye>
            <digi-icon-exclamation-triangle-warning></digi-icon-exclamation-triangle-warning>
					</digi-navigation-tab>
					<digi-navigation-tab af-aria-label="Flik 2" af-id="flikb2">
            <p>Jag är flik 2</p>
            <digi-icon-checklist></digi-icon-checklist>
            <digi-icon-bullseye></digi-icon-bullseye>
            <digi-icon-exclamation-triangle-warning></digi-icon-exclamation-triangle-warning>
					</digi-navigation-tab>
					<digi-navigation-tab af-aria-label="Flik 3" af-id="flikb3">
						<p>Jag är flik 3</p>
					</digi-navigation-tab>
				</digi-navigation-tabs> -->
			</br>
			</br>
				<!-- <digi-tools-feedback-rating
    af-id="custom-id-19"
		af-type="minimal"
    af-variation="primary"
    af-product="Designsystem"
    af-application="Feedback rating component"
    af-question="På en skala hur mycket hjälpte h2 mobil 22 px dig?"
    af-link-text="Skriv gärna mer feedback här"
    af-link="https://webropol.se/">
  </digi-tools-feedback-rating>
  </br> -->
	<h2>Betygsbanner</h2><div style="background-color:  rgb(233 244 255 / 74%);">
		
	<digi-tools-feedback-rating af-id="custom-id-190"
	af-question="dfhdhfh"
	af-variation="tertiary"
	af-ratings="mycket dåligt;ganska dåligt;varken eller;ganska bra;mycket bra"  
	af-product-area="Produktområde"
	af-product="Designsystem" 
	af-application="Applikationsnamn"
	af-name="Börjat studera"
	af-question-type="Innehåll"
	af-type="grid"
	></digi-tools-feedback-rating>
</br>
</br>
	<digi-tools-feedback-rating af-id="custom-id-130"
	af-question="Hur nöjd är du med tjänsten? Primär, grid, med länk som inkluderar betyg i URL:en"
	af-variation="primary"
	af-ratings="mycket dåligt;ganska dåligt;varken eller;ganska bra;mycket bra" 
	af-product-area="Produktområde"
	af-product="Designsystem" 
	af-application="Applikationsnamn"
	af-name="Börjat studera"
	af-question-type="Innehåll"
	af-link-text="Skriv gärna mer feedback här"
	af-link="https://webropol.se/"
	af-use-custom-link=true
	af-type="grid"
	></digi-tools-feedback-rating>
</br>
</br>
	<digi-tools-feedback-rating af-id="custom-id-133"
	af-question="Hur nöjd är du med tjänsten? Sekundär, grid, med vanlig länk"
	
	af-ratings="mycket dåligt;ganska dåligt;varken eller;ganska bra;mycket bra" 
	af-product-area="Produktområde"
	af-product="Designsystem" 
	af-application="Applikationsnamn"
	af-name="Börjat studera"
	af-question-type="Innehåll"
	af-link-text="Skriv gärna mer feedback här"
	af-link="https://webropol.se/"
	af-use-custom-link=false
	af-type="grid"
	></digi-tools-feedback-rating>
</br>
	</div>
  <!-- <digi-tools-feedback-rating
    af-id="custom-id-2"
    af-variation="tertiary"
    af-product="Designsystem"
    af-application="Feedback rating component"
    af-question="På en skala hur mycket hjälpte h2 mobil 22 px dig?"
    af-ratings="Mycket dåligt;Ganska dåligt;Helt okej;Ganska bra;Mycket bra"
    af-link-text=""
    af-link="https://webropol.se/"
    af-type="grid">
  </digi-tools-feedback-rating> -->

</body>
			</digi-layout-block>
			<!-- <digi-tag-media    
	af-text="Mediatagg"
	af-icon="webtv"
>
</digi-tag-media>
<digi-tag-media    
	af-text="Mediatagg"
	af-icon="webinar"
>
</digi-tag-media>
<digi-tag-media    
	af-text="Mediatagg"
	af-icon="film"
>
</digi-tag-media>
<digi-tag-media    
	af-text="Mediatagg"
	af-icon="podcast"
>
</digi-tag-media>
<digi-tag-media    
	af-text="Mediatagg"
	af-icon="playlist"
>
</digi-tag-media>
<digi-tag-media    
	af-text="Mediatagg"
	af-icon="news"
>
</digi-tag-media> -->
	</body>
</html>
